Library Maintenance Functions
Embryo

Functions that start up and shutdown the Embryo library. More...

## Functions

EAPI int | embryo_init (void)
| Initialises the Embryo library.
EAPI int | embryo_shutdown (void)
| Shuts down the Embryo library.

## Detailed Description

Functions that start up and shutdown the Embryo library.

## Function Documentation

## embryo_init()

EAPI int embryo_init | ( | void |  | ) |

Initialises the Embryo library.

Returns
  The number of times the library has been initialised without being shut down.

References eina_init(), eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, EINA_LOG_STATE_STOP, eina_log_timing(), and eina_shutdown().

Referenced by edje_init().

## embryo_shutdown()

EAPI int embryo_shutdown | ( | void |  | ) |

Shuts down the Embryo library.

Returns
  The number of times the library has been initialised without being shutdown.

References eina_log_domain_unregister(), EINA_LOG_STATE_SHUTDOWN, EINA_LOG_STATE_START, eina_log_timing(), and eina_shutdown().

Referenced by edje_init().